Bắt đầu một tác vụ nâng cấp độ phân giải video 4x với Runway qua CometAPI bằng POST /runwayml/v1/video_upscale, giới hạn tối đa 4096px mỗi cạnh và có versioning.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/video_upscale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"videoUri": "https://filesystem.site/cdn/20250818/c4gCDVPhiBc6TomRTJ7zNg0KwO1PSJ.mp4",
"model": "upscale_v1"
}
'{
"id": "<string>"
}X-Runway-Version bắt buộc, ví dụ 2024-11-06model: upscale_v1videoUri HTTPS ổn địnhThăm dò cho đến khi hoàn tất
Bearer token authentication. Use your CometAPI key.
Runway version header, for example 2024-11-06.
Task accepted.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/video_upscale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"videoUri": "https://filesystem.site/cdn/20250818/c4gCDVPhiBc6TomRTJ7zNg0KwO1PSJ.mp4",
"model": "upscale_v1"
}
'{
"id": "<string>"
}